require 'rspec/core/rake_task'

desc 'Default: run specs.'
task :default => :spec

RSpec::Core::RakeTask.new(:spec) do |t|
  t.rspec_opts = ['--colour --format progress']
  file_list = FileList['spec/**/*_spec.rb']
  file_list = file_list.exclude("spec/lib/simple_navigation/rendering/renderer/json_spec.rb")
  t.pattern = file_list
end
